### Property

# Clutter PanAction:pan-axis

#### Declaration

    property pan-axis: Clutter.PanAxis [ read, write ]

#### Description [src]

Constraints the panning action to the specified axis.

Type:`ClutterPanAxis`

Default value | CLUTTER_PAN_AXIS_NONE
Getter method | `clutter_pan_action_get_pan_axis()`
Setter method | `clutter_pan_action_set_pan_axis()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no